GET
/networks/{networkId}/proposals
http://managedblockchain.{region}.amazonaws.com/networks/{networkId}/proposals<p>Returns a list of proposals for the network.</p> <p>Applies only to Hyperledger Fabric.</p>
Access Token Required: API Key
Path Parameters
networkIdstringrequired
The unique identifier of the network.
Query Params
maxResultsinteger
The maximum number of proposals to return.
nextTokenstring
The pagination token that indicates the next set of results to retrieve.
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://managedblockchain.{region}.amazonaws.com/networks/{networkId}/proposals' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}